---
lang: en
title: 'API docs: tsdocs.lernapackage'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.lernapackage.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [LernaPackage](./tsdocs.lernapackage.md)

## LernaPackage interface

Typescript definition for [Lerna Package](https://github.com/lerna/lerna/blob/master/core/package/index.js)

**Signature:**

```typescript
export interface LernaPackage 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[location](./tsdocs.lernapackage.location.md)


</td><td>


</td><td>

string


</td><td>

Location of the package


</td></tr>
<tr><td>

[manifestLocation](./tsdocs.lernapackage.manifestlocation.md)


</td><td>


</td><td>

string


</td><td>

Location of `package.json`


</td></tr>
<tr><td>

[name](./tsdocs.lernapackage.name.md)


</td><td>


</td><td>

string


</td><td>

Package name


</td></tr>
<tr><td>

[private](./tsdocs.lernapackage.private.md)


</td><td>


</td><td>

boolean


</td><td>

Is it a private package?


</td></tr>
<tr><td>

[rootPath](./tsdocs.lernapackage.rootpath.md)


</td><td>


</td><td>

string


</td><td>

Root directory of the monorepo


</td></tr>
</tbody></table>

